Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon
Class Profiler.RequestMarker

    java.lang.Object
      |
      +--org.apache.cocoon.Profiler.RequestMarker

Enclosing class:
  Profiler

public static class Profiler.RequestMarker
extends java.lang.Object

We cannot guarantee that the request object will not be recycled by the servlet runner, so use RequestMarker instead.

Field Summary
`protected java.util.Date` | `startTime`
`protected java.lang.String` | `uri`

Constructor Summary
`Profiler.RequestMarker(javax.servlet.http.HttpServletRequest req)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uri

    protected java.lang.String uri

### startTime

    protected java.util.Date startTime

Constructor Detail

### Profiler.RequestMarker

    public Profiler.RequestMarker(javax.servlet.http.HttpServletRequest req)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.